### Method

# Clutter Actor set_clip

#### Declaration [src]

    void
    clutter_actor_set_clip (
      ClutterActor* self,
      gfloat xoff,
      gfloat yoff,
      gfloat width,
      gfloat height
    )

#### Description [src]

Sets clip area for `self`. The clip area is always computed from the upper left corner of the actor.

#### Parameters

`xoff`

  Type: `gfloat`

  X offset of the clip rectangle.

`yoff`

  Type: `gfloat`

  Y offset of the clip rectangle.

`width`

  Type: `gfloat`

  Width of the clip rectangle.

`height`

  Type: `gfloat`

  Height of the clip rectangle.